---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# Update Stream

Update Stream by ID.

This endpoints allows for configuring the stream and therefore restricting, what products will be included in the stream.

Since the combination "field/type/operator" (see the "query" part in the body description) is relying on logic based on the selected fields, like what operators can be applied to what field types, we recommend using the GUI to configure your stream and refer to https://www.makaira.io/docs/configuration/productStreams.html for further documentation on what operators are available for each field type.

Updates an existing stream's title or boost factor.

Requires authentication.

## Request

**`PUT /stream/{id}`**

### Path Parameters

| Parameter | Type    | Required | Description                     |
| --------- | ------- | -------- | ------------------------------- |
| `id`      | integer | Yes      | The ID of the stream to update. |

### Headers

| Header          | Value              |
| --------------- | ------------------ |
| `Authorization` | `Bearer <token>`   |
| `Content-Type`  | `application/json` |

### Request Body

| Field         | Type   | Required | Description                                 |
| ------------- | ------ | -------- | ------------------------------------------- |
| `title`       | string | No       | Updated display title.                      |
| `boostFactor` | number | No       | Updated boost factor. Range: `-99` to `99`. |

### Example Request

```json
{
  "title": "Best Sellers",
  "boostFactor": 75
}
```

## Response

Returns the updated stream object.

### Example Response

```json
{
  "id": 3,
  "title": "Best Sellers",
  "boostFactor": 75
}
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/stream/{id}": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "name": "id",
          "in": "path",
          "required": true
        },
        {
          "$ref": "#/components/parameters/instance"
        }
      ],
      "put": {
        "summary": "Update Stream",
        "tags": [
          "Stream"
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "title": {
                    "type": "string",
                    "description": "The title is purely for communcation purposes. Choose a name here that will make it easy for you to recognize the stream again later."
                  },
                  "boostFactor": {
                    "type": "number",
                    "description": "The boost to apply to the stream. This can be a positive and negative value between -99 and 99. If the value is set to 0, no boosting will be applied to the stream."
                  },
                  "query": {
                    "type": "object",
                    "description": "The query describes what products will be available in the final output of the stream.",
                    "properties": {
                      "and": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "field": {
                              "type": "string"
                            },
                            "type": {
                              "type": "string"
                            },
                            "operator": {
                              "type": "string"
                            }
                          }
                        }
                      },
                      "or": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "field": {
                              "type": "string"
                            },
                            "type": {
                              "type": "string"
                            },
                            "operator": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "streamPut",
        "description": "Update Stream by ID.\n\nThis endpoints allows for configuring the stream and therefore restricting, what products will be included in the stream.\n\nSince the combination \"field/type/operator\" (see the \"query\" part in the body description) is relying on logic based on the selected fields, like what operators can be applied to what field types, we recommend using the GUI to configure your stream and refer to https://www.makaira.io/docs/configuration/productStreams.html for further documentation on what operators are available for each field type."
      }
    }
  },
  "components": {
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```